ValueChecker
Appraisals

Update Appraisal

Server URLloading...
PUT
/client_reference/{client_reference_id}/appraisal/{appraisal_id}

Authorization

apiKey
Authorization<token>

Note! Prefix your API key with apiKey and a space, for example apiKey YOUR_API_KEY.

In: header

Path Parameters

client_reference_id*integer

The client reference identifier.

appraisal_id*integer

The appraisal identifier.

Query Parameters

client_id?integer

The client ID for the request. It's required if you have access to multiple clients with your API key. Otherwise, it's optional.

session-id?string

Optional session identifier of the user.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/client_reference/9337/appraisal/97771" \  -H "Content-Type: application/json" \  -d '{    "rpid": 12345683,    "cp_name_cart": "An updated CP name",    "rp_name_cart": "An updated RP name",    "rp_pic_url": "https://img.valuechecker.net/200x,---.jpg",    "rp_price_date": "2024-05-07 10:13:44",    "replacement_cost_value": 638.95,    "date_damage": "2024-05-07",    "date_purchase": "2024-05-01",    "cp_price_estimate": 650,    "claimed_amount": 650,    "offer_id": 123,    "shop_name": "Some shop - Global",    "shop_url": "https://www.some.shop/path"  }'
{}